Package io.vertx.rxjava3.cassandra

## Class CassandraRowStream

- java.lang.Object
- - io.vertx.rxjava3.cassandra.CassandraRowStream

- All Implemented Interfaces:
    `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`, `StreamBase`

      public class CassandraRowStream
      extends Object
      implements ReadStream<com.datastax.oss.driver.api.core.cql.Row>

  A for consumption.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<CassandraRowStream>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CassandraRowStream​(CassandraRowStream delegate)` |
    `CassandraRowStream​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `com.datastax.oss.driver.api.core.cql.ColumnDefinitions` | `columnDefinitions()` | Get the provided by the backing `ResultSet` for this stream.
    `CassandraRowStream` | `endHandler​(Handler<Void> handler)` | Set an end handler.
    `boolean` | `equals​(Object o)` |
    `CassandraRowStream` | `exceptionHandler​(Handler<Throwable> handler)` | Set an exception handler on the read stream.
    `com.datastax.oss.driver.api.core.cql.ExecutionInfo` | `executionInfo()` | Get the provided by the backing `ResultSet` for this stream.
    `CassandraRowStream` | `fetch​(long l)` | Fetch the specified `amount` of elements.
    `CassandraRowStream` | `getDelegate()` |
    `CassandraRowStream` | `handler​(Handler<com.datastax.oss.driver.api.core.cql.Row> handler)` | Set a data handler.
    `int` | `hashCode()` |
    `static CassandraRowStream` | `newInstance​(CassandraRowStream arg)` |
    `CassandraRowStream` | `pause()` | Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<com.datastax.oss.driver.api.core.cql.Row>` | `pipe()` | Pause this stream and return a to transfer the elements of this stream to a destination .
    `Completable` | `pipeTo​(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst)` | Pipe this `ReadStream` to the `WriteStream`.
    `CassandraRowStream` | `resume()` | Resume reading, and sets the buffer in `flowing` mode.
    `Completable` | `rxPipeTo​(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst)` | Pipe this `ReadStream` to the `WriteStream`.
    `Flowable<com.datastax.oss.driver.api.core.cql.Row>` | `toFlowable()` |
    `Observable<com.datastax.oss.driver.api.core.cql.Row>` | `toObservable()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<CassandraRowStream> __TYPE_ARG

  - ### Constructor Detail

    - #### CassandraRowStream

          public CassandraRowStream​(CassandraRowStream delegate)

    - #### CassandraRowStream

          public CassandraRowStream​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public CassandraRowStream getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Specified by:
        `getDelegate` in interface `StreamBase`

    - #### toObservable

          public Observable<com.datastax.oss.driver.api.core.cql.Row> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`

    - #### toFlowable

          public Flowable<com.datastax.oss.driver.api.core.cql.Row> toFlowable()

      Specified by:
        `toFlowable` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`

    - #### pipe

          public Pipe<com.datastax.oss.driver.api.core.cql.Row> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a pipe

    - #### exceptionHandler

          public CassandraRowStream exceptionHandler​(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public CassandraRowStream pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public CassandraRowStream resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public CassandraRowStream endHandler​(Handler<Void> handler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public CassandraRowStream fetch​(long l)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public CassandraRowStream handler​(Handler<com.datastax.oss.driver.api.core.cql.Row> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pipeTo

          public Completable pipeTo​(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst)

      Description copied from interface: `ReadStream`
      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Specified by:
        `pipeTo` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Parameters:
        `dst` - the destination write stream
      Returns:
        a future notified when the write stream will be ended with the outcome

    - #### rxPipeTo

          public Completable rxPipeTo​(WriteStream<com.datastax.oss.driver.api.core.cql.Row> dst)

      Description copied from interface: `ReadStream`
      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Specified by:
        `rxPipeTo` in interface `ReadStream<com.datastax.oss.driver.api.core.cql.Row>`
      Parameters:
        `dst` - the destination write stream
      Returns:
        a future notified when the write stream will be ended with the outcome

    - #### executionInfo

          public com.datastax.oss.driver.api.core.cql.ExecutionInfo executionInfo()

      Get the provided by the backing `ResultSet` for this stream.
      Returns:

    - #### columnDefinitions

          public com.datastax.oss.driver.api.core.cql.ColumnDefinitions columnDefinitions()

      Get the provided by the backing `ResultSet` for this stream.
      Returns:

    - #### newInstance

          public static CassandraRowStream newInstance​(CassandraRowStream arg)